Subject: bug#26948: ‘write-file’ output should not be locale-dependent

From: [email-masked] (Ludovic Courtès)
Date: Thu, 27 Jul 2017 14:55:13 +0200

[email-masked] (Ludovic Courtès) skribis:

> ‘guix publish’ uses the latter, so ‘guix publish’ is sensitive to locale
> settings, which is pretty bad.
>
> Guile currently does not allow us to specify whether/how file names
> should be decoded, but possible solutions have been discussed for 2.2.
>
> In the meantime, solutions are:
>
>   1. To run ‘guix publish’ in a UTF-8 locale, which apparently was not
>      the case.

Commit 412701b0e5e073e6767eed162c14698db99df69c works around the problem
on GuixSD by running under a UTF-8 locale.

Ludo’.